// Copyright 2000-2007, FreeHEP.
package org.freehep.graphicsio.ps;

import java.util.Properties;

import javax.swing.JPanel;

import org.freehep.util.UserProperties;

/**
 * 
 * @author Mark Donszelmann
 * @author Charles Loomis
 * @version $Id: EPSExportFileType.java,v 1.1 2010/09/28 07:35:43 minemoto Exp $
 */
public class EPSExportFileType extends AbstractPSExportFileType {

    public String getDescription() {
        return "Encapsulated PostScript";
    }

    public String[] getExtensions() {
        return new String[] { "eps", "epi", "epsi", "epsf" };
    }

    public JPanel createOptionPanel(Properties user) {
        UserProperties options = new UserProperties(user, PSGraphics2D
                .getDefaultProperties());
        JPanel panel = super.createOptionPanel(options);
        preview.setVisible(true);
        return panel;
    }
}
