package jp.riken.brain.ni.samuraigraph.application;

import jp.riken.brain.ni.samuraigraph.base.SGIConstants;

/**
 * Messages used in application.
 * 
 */
public interface SGIApplicationTextConstants {

    /**
     * 
     */
    public static final String MSG_SUCCESSFUL_COMPLETION = "Successful completion.";

    /**
     * 
     */
    public static final String MSG_DATA_FILE_INVALID = "The data file is invalid.";

    /**
     * 
     */
    public static final String MSG_DATA_TYPE_INVALID = "The data type is invalid.";

    /**
     * 
     */
    public static final String MSG_DATA_NUMBER_SHORTAGE = "Data number shortage.";

    /**
     * 
     */
    public static final String MSG_DATA_NUMBER_EXCESS = "Data number excess.";

    /**
     * 
     */
    public static final String MSG_FILE_OPEN_FAILURE = "Cannot open the selected file.";

    /**
     * 
     */
    public static final String MSG_PROPERTY_FILE_INVALID = "The property file is invalid.";

    /**
     * 
     */
    public static final String MSG_DATA_SET_FILE_INVALID = "Failed to open the selected data set file.";
    
    /**
     * 
     */
    public static final String MSG_INVALID_INPUT_VALUE = SGIConstants.INVALID_INPUT_VALUE;

    /**
     * 
     */
    public static final String MSG_CLOSE_WITHOUT_SAVING = "Close without saving";

    /**
     * 
     */
    public static final String MSG_DISCARD_WITHOUT_SAVING = "Discard without saving";

    /**
     * 
     */
    public static final String MSG_UNKNOWN_ERROR_OCCURED = "Unknown error occured";

    /**
     * Error message for incomplete netCDF data file.
     */
    public static final String MSG_INCOMPLETE_NETCDF_DATA_FILE = "Data file is incomplete.";


    /**
     * 
     */
    public static final String MSG_SAVE = "Save";

    public static final String TITLE_CONFIRMATION = "Confirmation";

    public static final String TITLE_FILE_OPEN_FAILURE = "File open failure";

    public static final String TITLE_ERROR = SGIConstants.ERROR;

    /**
     * 
     */
    public static final String TAG_NAME_FOCUSED_FIGURES = "FocusedFigures";


}
